﻿#ifndef エラー定数_H_
#define エラー定数_H_

/*! \file エラー定数.h
    \sk えらーていすう.h

関数呼び出しの際に引数に問題があった場合などの状態通知を
受け持つ定数を規定しています。
*/

/*! \brief 主に内部で発生した問題を表すための定数です
    \sk えらーていすう

基本的にはプログラムの論理的な瑕疵を意味しています。
*/
enum エラー定数
{
	エラーなし = 0, ///< \sk えらーなし 正常に処理されています
	桁数異常, ///< \sk けたすういじょう 桁数指定に異常があります、一方が他方に比べて大きすぎる、など
	判定長さの不一致, ///< \sk はんていながさのふいっち 解答と試行の長さがそもそも一致していません
	予想消沈, ///< \sk よそうしょうちん 予想不能状態です、コードが論理的におかしいことを示します
};

#endif
